Create a klarna gateway
How to create a klarna gateway via API
To create a new klarna gateway, send a POST request to the /api/klarna_gateways endpoint, passing the resource arguments in the request body.
Request
POST https://yourdomain.commercelayer.io/api/klarna_gateways
Arguments
type
string
Required
attributes.name
string
Required
attributes.force_payments
boolean
Optional, default is 'false'
attributes.idempotency_window_mins
integer
Optional, default is one hour (60 minutes)
attributes._disable
boolean
Optional
attributes._enable
boolean
Optional
attributes.reference
string
Optional
attributes.reference_origin
string
Optional
attributes.metadata
object
Optional
attributes.country_code
string
Required
attributes.api_key
string
Required
attributes.api_secret
string
Required
relationships.klarna_payments
array
Optional
Example
The following request creates a new klarna gateway:
On success, the API responds with a 201 Created status code, returning the created resource object:
Last updated